<?php
session_start();

//RESTRICCI�N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$accion=$_REQUEST["accion"];
$query=$_REQUEST["query"];
$fila=''; $mensaje=0;

if ($accion==1) {		/////////////////////	TRABAJADORES	//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera ="CEDULA\t APELLIDOS 1\t APELLIDOS 2\t NOMBRES 1\t NOMBRES 2\t DIR. HABITACI�N\t TEL�FONO\t SEXO\t # HIJOS\t FICHA\t F. NACIMIENTO\t F. INGRESO\t F. EGRESO\t SALARIO MENSUAL\t SALARIO DIARIO\t";
		$cabezera.="GERENCIA\t DEPARTAMENTO\t CARGO\t UNIDAD\t N�MINA\t TURNO\t BANCO\t ";
		$cabezera.="DIVISI�N\t SECTOR\t ESTADO\t PAGO\t PARROQUIA\t ";
		$cabezera.="NACIONALIDAD\t MUNICIPIO\t �REA\t EDO. CIVIL\t TIPO\t PROFESI�N\t DIRECCI�N\t STATUS\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);

			//=========================== tablas
					$q8="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['gerencia']."' and tabla='GERENCIA'";
					$c8=mysqli_query($enlace,$q8);
					$rowx=mysqli_fetch_array($c8);
					$ger=$rowx['detalle'];

					$q9="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['departamento']."' and tabla='DEPARTAMENTO'";
					$c8=mysqli_query($enlace,$q9);
					$rowx=mysqli_fetch_array($c8);
					$dep=$rowx['detalle'];

					$q10="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['cargo']."' and tabla='CARGO'";
					$c8=mysqli_query($enlace,$q10);
					$rowx=mysqli_fetch_array($c8);
					$car=$rowx['detalle'];

					$q11="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['unidad']."' and tabla='UNIDAD'";
					$c8=mysqli_query($enlace,$q11);
					$rowx=mysqli_fetch_array($c8);
					$uni=$rowx['detalle'];

					$q12="select * from nomina where id='".$_SESSION['id_validar']."' and codigo = '".$row['nomina']."' ";
					$c8=mysqli_query($enlace,$q12);
					$rowx=mysqli_fetch_array($c8);
					$nom=$rowx['detalle'];

					$q13="select * from turno where id='".$_SESSION['id_validar']."' and codigo = '".$row['turno']."' ";
					$c8=mysqli_query($enlace,$q13);
					$rowx=mysqli_fetch_array($c8);
					$tur=$rowx['detalle'];

					$q14="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['banco']."' and tabla='BANCO'";
					$c8=mysqli_query($enlace,$q14);
					$rowx=mysqli_fetch_array($c8);
					$ban=$rowx['detalle'];

					$q22="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['division']."' and tabla='DIVISION'";
					$c8=mysqli_query($enlace,$q22);
					$rowx=mysqli_fetch_array($c8);
					$div=$rowx['detalle'];

					$q23="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['sector']."' and tabla='SECTOR'";
					$c8=mysqli_query($enlace,$q23);
					$rowx=mysqli_fetch_array($c8);
					$sec=$rowx['detalle'];

					$q24="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['estado']."' and tabla='ESTADO'";
					$c8=mysqli_query($enlace,$q24);
					$rowx=mysqli_fetch_array($c8);
					$est=$rowx['detalle'];

					$q26="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['parroquia']."' and tabla='PARROQUIA'";
					$c8=mysqli_query($enlace,$q26);
					$rowx=mysqli_fetch_array($c8);
					$par=$rowx['detalle'];

					$q27="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['nacionalidad']."' and tabla='NACIONALIDAD'";
					$c8=mysqli_query($enlace,$q27);
					$rowx=mysqli_fetch_array($c8);
					$nac=$rowx['detalle'];

					$q28="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['municipio']."' and tabla='MUNICIPIO'";
					$c8=mysqli_query($enlace,$q28);
					$rowx=mysqli_fetch_array($c8);
					$mun=$rowx['detalle'];

					$q29="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['area']."' and tabla='AREA'";
					$c8=mysqli_query($enlace,$q29);
					$rowx=mysqli_fetch_array($c8);
					$are=$rowx['detalle'];

					$q30="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['edocivil']."' and tabla='ESTADO CIVIL'";
					$c8=mysqli_query($enlace,$q30);
					$rowx=mysqli_fetch_array($c8);
					$edo=$rowx['detalle'];

					$q33="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['direccion']."' and tabla='DIRECCION'";
					$c8=mysqli_query($enlace,$q33);
					$rowx=mysqli_fetch_array($c8);
					$dir=$rowx['detalle'];

					$q33="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['pago']."' and tabla='PAGO'";
					$c8=mysqli_query($enlace,$q33);
					$rowx=mysqli_fetch_array($c8);
					$pag=$rowx['detalle'];

					$q33="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['profesion']."' and tabla='PROFESION'";
					$c8=mysqli_query($enlace,$q33);
					$rowx=mysqli_fetch_array($c8);
					$pro=$rowx['detalle'];

					$q33="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['tipo']."' and tabla='TIPO'";
					$c8=mysqli_query($enlace,$q33);
					$rowx=mysqli_fetch_array($c8);
					$tip=$rowx['detalle'];

			//=========================== tablas

			$fila.=$row['codigo']."\t ".$row['apellidos']."\t ".$row['apellidos1']."\t ".$row['nombres']."\t ".$row['nombres1']."\t ";
			$fila.=$row['dir']."\t ".$row['telefonos']."\t ".$row['sexo']."\t ".$row['hijo']."\t ".$row['sso']."\t ".$row['fechan']."\t ".$row['fechai']."\t ".$row['fechae']."\t ".$row['smes']."\t ".$row['sdia']."\t ";
			$fila.=$ger."\t ".$dep."\t ".$car."\t ".$uni."\t ".$nom."\t ".$tur."\t ".$ban."\t ";
			$fila.=$div."\t ".$sec."\t ".$est."\t ".$pag."\t ".$par."\t ".$nac."\t ".$mun."\t ";
			$fila.=$are."\t ".$edo."\t ".$tip."\t ".$pro."\t ".$dir."\t ".$row['status']."\n ";
		}
		$mensaje=1;
}
if ($accion==2) {		/////////////////////	CONSTANTES	//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera="C�DIGO\t DETALLE\t UNIDAD\t FIJO\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);
			$fila.=$row['codigo']."\t ".$row['detalle']."\t ".$row['unidad']."\t ".$row['fijo']."\n";
		}
		$mensaje=1;
}
if ($accion==3) {		/////////////////////	CONCEPTOS	//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera="C�DIGO\t DETALLE\t CUENTA\t TIPO\t FORMULA\t ACUMULA\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);
			$fila.=$row['codigo']."\t ".$row['detalle']."\t ".$row['cuenta']."\t ".$row['tipo']."\t ".$row['formula']."\t ".$row['acumula']."\n";
		}
		$mensaje=1;
}
if ($accion==4) {		/////////////////////	CONSTANTE INDIVIDUAL		//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera="C�DIGO\t CEDULA\t NOMINA\t MONTO\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);
			$fila.=$row['codigo']."\t ".$row['cedula']."\t ".$row['nomina']."\t ".$row['monto']."\n";
		}
		$mensaje=1;
}
if ($accion==5) {		/////////////////////	ESTRUCTURAS		//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera="C�DIGO\t TABLA\t DETALLE\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);
			$fila.=$row['codigo']."\t ".$row['tabla']."\t ".$row['detalle']."\n";
		}
		$mensaje=1;
}

if ($accion==9) {		/////////////////////	TALLAS DOTACION	//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera ="CEDULA\t NOMBRES 1\t NOMBRES 2\t APELLIDOS 1\t APELLIDOS 2\t NOMINA\t";
		$cabezera.="TALLA_PANTALON\t TALLA_CAMISA\t TALLA_ZAPATOS\t FECHA_DOTAC\t STATUS\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);

			//=========================== tablas
					$q8="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['gerencia']."' and tabla='GERENCIA'";
					$c8=mysqli_query($enlace,$q8);
					$rowx=mysqli_fetch_array($c8);
					$ger=$rowx['detalle'];

					$q12="select * from nomina where id='".$_SESSION['id_validar']."' and codigo = '".$row['nomina']."' ";
					$c8=mysqli_query($enlace,$q12);
					$rowx=mysqli_fetch_array($c8);
					$nom=$rowx['detalle'];



			//=========================== tablas

			$fila.=$row['codigo']."\t ".$row['nombres']."\t ".$row['nombres1']."\t ".$row['apellidos']."\t  ".$row['apellidos1']."\t ".$nom."\t ";
			$fila.=$row['tallapantalon']."\t ".$row['tallacamisa']."\t ".$row['tallazapato']."\t ".$row['fec_dota']."\t ".$row['status']."\n ";

		}
		$mensaje=1;
}

if ($accion==10) {		/////////////////////	TALLAS DOTACION	//////////////////////////
		$consulta=mysqli_query($enlace,$query) or die ($query);
		$filas=mysqli_num_rows($consulta);
		$cabezera ="cedula\t nombre\t apellido\t fecha\t detalle\t concepto\t desconcepto\t monto\t";
		$cabezera.="departamento\t localidad\n";
		for ($i=0; $i<=$filas; $i++) {
			$row=mysqli_fetch_array($consulta);

			////Consulto los nombres de los centros de DEPARTAMENTO
			$q8="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['departamento']."' and tabla='DEPARTAMENTO'";
			$c8=mysqli_query($enlace,$q8);
			$rowx=mysqli_fetch_array($c8);
			$departamento=$rowx['detalle'];

			///Nombres y apellidos
			$qNom="select nombres, apellidos from personal where id='".$_SESSION['id_validar']."' and codigo = '".$row['cedula']."' ";
			$cNom=mysqli_query($enlace,$qNom);
			$rowNom=mysqli_fetch_array($cNom);
			$nombreEmpleado=$rowNom['nombres'];
			$apelliEmpleado=$rowNom['apellidos'];


			////Consulto los nombres de los centros de Localidad
			$q88="select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$row['localidad']."' and tabla='UNIDAD'";
			$c88=mysqli_query($enlace,$q88);
			$row88=mysqli_fetch_array($c88);
			$localidad=$row88['detalle'];

			$fila.=$row['cedula']."\t ".$nombreEmpleado."\t ".$apelliEmpleado."\t ".$row['fecha']."\t ".$row['detalle']."\t ".$row['concepto']."\t  ".$row['desconcepto']."\t ";
			$fila.=str_replace('.',',',$row['monto'])."\t ".$departamento."\t ".$localidad."\n ";



		}
		$mensaje=1;
}


if ($mensaje==1) {
		//================================== mostrar por pantalla
		$fila = str_replace("\r","",$fila);
		$exportar='SAIREH_exportar.xls';
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=$exportar");
		header("Pragma: no-cache");
		header("Expires: 0");
		print "$cabezera\n$fila";
}
mysqli_free_result($consulta);
?>
